Bug 492678 - iwlagn does not advertise intel 5350 agn device support
iwlagn does not advertise intel 5350 agn device support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 21:52 EDT by jan p. springer
Modified: 2009-05-06 08:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 08:33:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of "lspci -vt" (1.49 KB, application/octet-stream)
2009-03-27 21:52 EDT, jan p. springer
no flags Details
output of "lspci -kn" (1.28 KB, application/octet-stream)
2009-03-27 21:52 EDT, jan p. springer
no flags Details
output of "modinfo iwlagn" (2.39 KB, application/octet-stream)
2009-03-27 21:53 EDT, jan p. springer
no flags Details

  None (edit)
Description jan p. springer 2009-03-27 21:52:03 EDT
Created attachment 337086 [details]
output of "lspci -vt"

Description of problem:

the current iwlagn driver does not advertise support for the "Intel Corporation PRO/Wireless 5350 AGN [Echo Peak] Network Connection" device (8086:423b)

Version-Release number of selected component (if applicable):


How reproducible:

freshly install of fedora 10 plus update to newest repo versions does not provide a wireless network device.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 jan p. springer 2009-03-27 21:52:39 EDT
Created attachment 337088 [details]
output of "lspci -kn"
Comment 2 jan p. springer 2009-03-27 21:53:10 EDT
Created attachment 337089 [details]
output of "modinfo iwlagn"
Comment 3 John W. Linville 2009-03-31 10:37:08 EDT
Which kernel version are you running?
Comment 4 jan p. springer 2009-03-31 19:52:14 EDT
uname -r
2.6.27.19-170.2.35.fc10.x86_64

i've downloaded the source via yum and added the missing device id to the iwlagn driver. after replacing the original driver with the fixed one i'm able to get wireless working.
Comment 5 John W. Linville 2009-04-01 09:23:51 EDT
Well, good to hear.  FWIW, that ID is already in the 2.6.29-based kernels that I expect will be available shortly (and are already available in Koji).
Comment 6 jan p. springer 2009-04-01 09:27:39 EDT
ok. this is good news. hopefully no new update for the 2.6.27 series arrives earlier. i wouldn't want to exercise anymore of that module compile/install :)
Comment 7 jan p. springer 2009-05-05 21:35:58 EDT
in anticipation of f11 i've updated to kernel 2.6.29.2-126.fc11.x86_64 from rawhide and can confirm that the problem has been fixed there. you may close the bug.

Note You need to log in before you can comment on or make changes to this bug.